=== modified file 'runtests.sh'
--- runtests.sh	2015-07-22 07:00:25 +0000
+++ runtests.sh	2015-07-22 14:15:03 +0000
@@ -29,9 +29,7 @@
 
 if which python3-coverage >/dev/null 2>&1; then
     python3-coverage run --branch --source snapcraft -m unittest
-    echo "Unit test coverage"
-    python3-coverage report
-    python3-coverage erase
+    mv .coverage .coverage.unit
 else
     python3 -m unittest
 fi
@@ -86,13 +84,13 @@
 raise SystemExit(failed)
 __PYTHON__
 )
-    if which python3-coverage >/dev/null 2>&1; then
-        python3-coverage combine
-        echo "Integration test coverage"
-        python3-coverage report
-        python3-coverage erase
-    fi
-
+
+fi
+
+if which python3-coverage >/dev/null 2>&1; then
+    python3-coverage combine
+    python3-coverage report
+    python3-coverage erase
 fi
 
 echo -e "\e[1;32mEverything passed\e[0m"

